<div view="stations" class="sv__container">
  <div class="sv__search">
    <input
      type="search"
      class="sv__search-input"
      bind:value={ searchValue }
      on:keyup={ handleOnEnter }>
      <button class="sv__btn" on:click|once={ dispatch('search', { searchValue }) }>
        <ion-icon class="sv__icon" name="search-outline"></ion-icon>
      </button>
  </div>
  <span class="sv__results">{ stations.length | 0 } Stations found</span> 
  <ul class="sv__stations">
    {#each stations as station}
      <li class="sv__stations-box">{ station.title }</li>
    {/each}
  </ul>
</div>

<script>
  import { createEventDispatcher } from 'svelte';
	import { EMPTY_STRING } from '../../../common/helpers/constants';
  
  export let stations;
  let searchValue = EMPTY_STRING;
  const dispatch = createEventDispatcher();

  function handleOnEnter(ev) {
    if (ev.keyCode === 13) {
      dispatch('search', { searchValue });
    }
  }
</script>

<style lang="scss">
@import '../../../styles/base/_helpers.scss';
@import '../../../styles/base/_mq.scss';
.sv__container {
  height: 100%;
  width: 100%;
  @include flex(column);
  @include landscape() {
    margin-left: .5rem;
  }
  overflow: auto;
}
.sv__stations {
  width: 100%;
  list-style-type: none;
  margin: 0;
  padding: 0;
  @include flex(row);
  flex-wrap: wrap;
}
.sv__results {
  font-size: .8rem;
  margin-top: .2rem;
  margin-bottom: .5rem;
}
.sv__stations-box {
  width: 100px;
  height: 100px;
  border: solid 1px grey;
  flex-shrink: 0;
}
.sv__icon {
	position: relative;
	top: 2px;
}
.sv__btn {
	border: solid 1px #f1f1f1;
  background: white;
  font-size: 1rem;
	cursor: pointer;
	@include mobile() {
		cursor: none;
	}
	outline: none;
  height: 100%;
	&:active, focus, hover {
		border-color: blue;
		background-color: white;
	}
}
.sv__search {
  @include flex(row, flex-start, center);
  margin-bottom: .5rem;
}
.sv__search-input {
  font-size: 1rem;
  margin-right: .2rem;
  font-family: monospace;
  border: solid 1px #f1f1f1;
  padding: .3rem;
  outline: none;
  width: 100%;
  height: 100%;
  max-width: 500px;
}
.sv__search-btn {}
</style>
